---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Direct Reports
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of workers that directly report to the specified worker:

```
/workers/{id}/directReports
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to the worker. Example: Current user WID. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N10055_N10016_N10001"></a>Description

Workers/Direct Reports resource represents workers that directly report to the specified worker. You can only view the information permitted by the security profile of the current user.

Workers/Direct Reports supports this method:

-   [GET Workers/Direct Reports](/wcp_docs/dan1370797992079.html#GET)


## <a id="GET"></a>GET Workers/Direct Reports

-   <b>Secured by:</b>

    Reports: Manager

    Reports: Matrix Manager

    Self-Service: My Team



No request body required or available for this method. Use these optional query parameters:

<table><thead><tr><th>Query Parameter</th><th>Description</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response. The default is 20, and the maximum is 100.</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response. The default is zero.</td></tr><tr><td>view</td><td>View for the response body.</td></tr></tbody></table><br/>

The response body is in JSON format.

Use this method to retrieve information about the workers that directly report to the current user.

## <a id="section_N10103_N10016_N10001"></a>Views

Views for the GET Workers/Direct Reports subresource:

-   workerSummary - default view for GET Workers/Direct Reports
-   workerProfile - alternate view for GET Workers/Direct Report
-   timeOffSummary - view to display total time-off balances for a worker; displays the total hourly balance for hourly plans, and/or the total daily balance for daily plans


The table lists the JSON name/value pairs returned in the response body for the workerSummary and workerProfile views. Unless specified, the values are strings. Empty value pairs are not included in the body, the pair orders can change, and new pairs might be introduced in patches between releases. Your application must respond to the changes.

<table><thead><tr><th>Name</th><th>workerSummary</th><th>workerProfile</th><th>Notes</th></tr></thead><tbody><tr><td>descriptor</td><td>X</td><td>X</td><td>Description of the object</td></tr><tr><td>id</td><td>X</td><td>X</td><td>Workday object ID</td></tr><tr><td>href</td><td>X</td><td>X</td><td>URL that represents the object</td></tr><tr><td>businessTitle</td><td>X</td><td>X</td><td> </td></tr><tr><td>dateOfBirth</td><td> </td><td>X</td><td> </td></tr><tr><td>isManager</td><td>X</td><td>X</td><td>Boolean</td></tr><tr><td>location</td><td> </td><td>X</td><td>Location object</td></tr><tr><td>primarySupervisoryOrganization</td><td>X</td><td>X</td><td>Supervisory organization object</td></tr><tr><td>primaryWorkAddressText</td><td> </td><td>X</td><td> </td></tr><tr><td>primaryWorkEmail</td><td>X</td><td>X</td><td> </td></tr><tr><td>primaryWorkPhone</td><td>X</td><td>X</td><td> </td></tr><tr><td>supervisoryOrganizationsManaged</td><td> </td><td>X</td><td>Supervisory organizations managed by the worker</td></tr><tr><td>yearsOfService</td><td> </td><td>X</td><td></td></tr></tbody></table><br/>

## <a id="section_N100F4_N10016_N10001"></a>GET Workers/Direct Reports Examples

This GET request retrieves all the workers that directly report to the specified worker (me represents the current user):

```
GET /workers/me/directReports
```

The response is a collection of workers, in JSON format (only 1 worker in the response):

```
{
   "total": 6,
   "data":    [
            {
         "descriptor": "Betty Liu",
         "id": "3bcc416214054db6911612ef25d51e9f",
         "href": "https://{Workday REST API Endpoint}/workers/3bcc416214054db6911612ef25d51e9f",
         "primarySupervisoryOrganization":          {
            "descriptor": "Human Resources",
            "id": "e02485f863ec48d39a082bb95cc4abe4",
            "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/e02485f863ec48d39a082bb95cc4abe4"
         },
         "businessTitle": "Director, Payroll Operations",
         "primaryWorkEmail": "bliu@workday.net",
         "isManager": true,
      },
     ...       

   ]
}
```

This GET request retrieves all the workers that directly report to the specified worker (the current user) and displays the time-off summaries of the workers:

```
GET /workers/me/directReports?view=timeOffSummary
```

The response is a collection of workers, in JSON format (only 3 workers in the response):

```
{
   "total": 14,
   "data":    [
            {
         "descriptor": "Amos Tutuola",
         "id": "0319bd914a344d4d9c8af30151a02b46",
         "href": "https://{Workday REST API Endpoint}/workers/0319bd914a344d4d9c8af30151a02b46",
         "totalHourlyBalance": "144"
      },
            {
         "descriptor": "Betty Liu",
         "id": "3bcc416214054db6911612ef25d51e9f",
         "href": "https://{Workday REST API Endpoint}/workers/3bcc416214054db6911612ef25d51e9f",
         "totalHourlyBalance": "184"
      },
            {
         "descriptor": "Billy Clark",
         "id": "59f88aaaec84462faf7b1fcc9837580e",
         "href": "https://{Workday REST API Endpoint}/workers/59f88aaaec84462faf7b1fcc9837580e",
         "totalHourlyBalance": "144"
      },
     ...       

   ]
}
```

